PipeWire 1.4.10

Loading...
Searching...
No Matches
pw_endpoint_stream_info Struct Reference
Extensions » Session Manager

`#include <pipewire/extensions/session-manager/introspect.h>`

## Data Fields
uint32_t | version
| version of this structure
uint32_t | id
| the stream id (local or global)
uint32_t | endpoint_id
| the endpoint id (global)
uint64_t | change_mask
| bitfield of changed fields since last call
struct spa_pod * | link_params
| information for linking this stream
struct spa_param_info * | params
| parameters
uint32_t | n_params
| number of items in params

## Field Documentation

## ◆ version

uint32_t pw_endpoint_stream_info::version

version of this structure

## ◆ id

uint32_t pw_endpoint_stream_info::id

the stream id (local or global)

## ◆ endpoint_id

uint32_t pw_endpoint_stream_info::endpoint_id

the endpoint id (global)

## ◆ change_mask

uint64_t pw_endpoint_stream_info::change_mask

bitfield of changed fields since last call

## ◆ link_params

struct spa_pod* pw_endpoint_stream_info::link_params

information for linking this stream

## ◆ params

struct spa_param_info* pw_endpoint_stream_info::params

parameters

## ◆ n_params

uint32_t pw_endpoint_stream_info::n_params

number of items in params

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/introspect.h